Bug 1274169 - Cannot login after recent update of lxdm
Cannot login after recent update of lxdm
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
22
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-22 04:04 EDT by Daniel
Modified: 2016-07-19 16:41 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:41:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/lxdm.log (2.65 KB, text/plain)
2015-10-22 04:04 EDT, Daniel
no flags Details
part of /var/log/messages (8.69 KB, text/plain)
2015-10-22 04:05 EDT, Daniel
no flags Details
result of ausearch -m avc -ts this-month (14.85 KB, text/plain)
2015-10-26 03:14 EDT, Daniel
no flags Details

  None (edit)
Description Daniel 2015-10-22 04:04:21 EDT
Created attachment 1085438 [details]
/var/log/lxdm.log

Description of problem:
Cannot login after recent update of lxdm

Version-Release number of selected component (if applicable):
lxdm-0.4.1-10.fc22.x86_64

How reproducible:
Everytime

Steps to Reproduce:
1. Start PC up to lxdm login screen
2. Select user and input password

Actual results:
Cannot login and go back to login screen again

Expected results:
Login with any problems

Additional info:
1. After downgrade of lxdm to lxdm-0.4.1-9.fc22.x86_64, everything works for me
2. I was using 1280x800 screen resolution, lxdm-0.4.1-10.fc22.x86_64 will only diplay 1024x768 for me.
Comment 1 Daniel 2015-10-22 04:05 EDT
Created attachment 1085439 [details]
part of /var/log/messages
Comment 2 Mamoru TASAKA 2015-10-22 08:47:42 EDT
Maybe you can log in when you change SELinux mode to permissive (or disabled)?
Comment 3 Daniel 2015-10-22 22:19:05 EDT
Thank you very much for your contact.
My selinux status was "Enforcing", after changed it to "Disable", I can login now.
Is this a lxdm bug or selinux bug?
Comment 4 Mamoru TASAKA 2015-10-22 22:28:31 EDT
Okay, thank you.

Due to the fix for bug 1268900 , lxdm-binary now needs to write /var/run/lxdm/lxdm-XXX, and perhaps it is the culprit.

Perhaps selinux-policy needs updating. Reassing to selinux-policy to ask to update.
Comment 5 Mamoru TASAKA 2015-10-22 23:22:11 EDT
F-24/23/21 selinux-policy may also need updating.
Comment 6 Mamoru TASAKA 2015-10-22 23:25:14 EDT
The relevant change between 0.4.1-9 and 0.4.1-10 is:

http://pkgs.fedoraproject.org/cgit/lxdm.git/commit/?h=f22&id=ab0c2f863ea59dc2dac27c01f67fceefac8dcdb8
Comment 7 Miroslav Grepl 2015-10-23 04:25:10 EDT
Is there chance to test it in permissive mode and run

# ausearch -m avc -ts recent
Comment 8 Daniel 2015-10-26 03:14 EDT
Created attachment 1086389 [details]
result of ausearch -m avc -ts this-month

Thank you very much for your contact.
My "ausearch -m avc -ts recent" returned "<no matches>", I attached my result of "ausearch -m avc -ts this-month" here.

I found that I can login from lxdm-0.4.1-10.f22.x86_64 now, but the resolution kept to be 1024x768 although I changed it to 1280x800 before reboot.
Comment 9 Miroslav Grepl 2015-11-11 03:25:51 EST
Could you please try to run

restorecon -R -v ~/

to see if it fixes this issue.
Comment 10 Daniel 2015-11-23 07:55:01 EST
Thank you very much for your contact.
I tried to run
restorecon -R -v ~/
but the resolution was still 1024x768 after I changed it to 1280x800 and reboot again.
Comment 11 Fedora End Of Life 2016-07-19 16:41:58 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.